V1.0 'Submit an application to change the Land Register API' Schema (1.0.5)

Download OpenAPI specification:

V1.0 of the set of APIs for the new 'Submit an application to change the Land Register API' Schema

Submit an application API

Submit an application

Submit an application API - Submit application creation requests for processing

Authorizations:
basicAuth
header Parameters
Idempotency-Key
required
string
Request Body schema: application/json
required
required
object (SubstantiveApplicationData)

The data required to capture an application

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Download a document API

Obtain download link for an HMLR document

Request the download link for a document. Currently only supports the download of documents HMLR despatches, i.e correspondence, cancellation and completion documents.

Authorizations:
basicAuth
path Parameters
document_id
required
string

May also be referred to as the download_id by some services

Responses

Response samples

Content type
{}

Download a document

Download the document contents.

Note: This URL, including hostname and path parameters is returned from the GET /documents/{document_id} URL endpoint via the location header and should be used unmodified.

Responses

Send a document API

Request upload URL for your application attachments

Create an upload URL - Retrieve a generated document upload URL

Authorizations:
basicAuth
Request Body schema: application/json
required
required
object (DocumentUploadUrlData)

The data needed to generate a URL to upload a document

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Upload a document

Upload a document - Upload the document contents. Note: This URL, including hostname and path parameters is returned from the create URL endpoint and should be used unmodified. The path and hostname given in the API specification here are examples only.

header Parameters
X-Amz-Checksum-Sha256
string

The base64 encoded SHA-256 hash of the file contents. Must match both the document being uploaded and the value provided to the create URL endpoint.

Content-Length
integer <int32>

The length of the file in bytes. Must match both the document being uploaded and the value provided to the create URL endpoint.

Request Body schema: application/octet-stream
string <binary>

Responses

Application information API

Get application details

Can return status, fees and correspondence documents for an application

Authorizations:
basicAuth
path Parameters
application_request_id
required
string
Example: 12345678-1234-1234-1234-123546789abc

The ID returned by Application Creation to track submission requests

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Attach a document

Attach a document to an existing application

Attach a document from Send a Document to an existing application

Authorizations:
basicAuth
path Parameters
application_request_id
required
string
Example: 12345678-1234-1234-1234-123546789abc

The ID returned by Application Creation to track submission requests

Request Body schema: application/json
required
required
object

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/json
{}

Attach a message

Attach a message to an existing application

Application information API - Get the information about an application

Authorizations:
basicAuth
path Parameters
application_request_id
required
string
Example: 12345678-1234-1234-1234-123546789abc

The ID returned by Application Creation to track submission requests

Request Body schema: application/json
required
required
object

Responses

Request samples

Content type
application/json
{
  • "data": {
    }
}

Response samples

Content type
application/json
{}

Notifications API

get_notifications_v1

Receive notifications API - Get any unacknowledged notifications

Authorizations:
basicAuth
query Parameters
created_before
string <date-time>
created_after
string <date-time>
status
string
Enum: "NEW" "ACKNOWLEDGED"
occurred_before
string <date-time>
occurred_after
string <date-time>
notification_type
string [ 0 .. 255 ] characters ^[A-Za-z0-9._@-]*$
subject
string [ 0 .. 64 ] characters ^[A-Za-z0-9._@-]*$
additional_provider_filter
string [ 1 .. 50 ] characters
limit
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

acknowledge_notifications_v1

Acknowledge notifications API - Acknowledge notifications that have been processed, so they are no longer returned when fetching

Authorizations:
basicAuth
Request Body schema: application/json
data
Array of strings

Responses

Request samples

Content type
application/json
{
  • "data": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}